gnome-vfs-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.20.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Functions for manipulating Uris. To be added GLib.Opaque
- Method
  System.String `` `` Returns a full Uri given a full base Uri, and a secondary Uri which may be relative. a a a To be added
- Method
  System.String Retrieve base file name for the Uri, ignoring any trailing path separators. a This matches the XPG definition of basename, but not g_basename. This is often useful when you want the name of something that's pointed to by a Uri, and don't care whether the Uri has a directory or file form. If the Uri points to the root of a domain, the host name is returned. If there's no host name, it returns a single path character.
- Method
  System.String `` Translate the Uri into a printable string hiding the fields specified by . hide the specified fields. a To be added
- Method
  System.String Retrieve base file name for the Uri, ignoring any trailing path separators. a This matches the XPG definition of basename, but not g_basename. This is often useful when you want the name of something that's pointed to by a Uri, and don't care whether the Uri has a directory or file form. If the Uri points to the root (including the root of any domain), it returns a single path character.
- Method
  Gnome.Vfs.Uri `` Create a new Uri from relative_reference, relative to this Uri. representing a possibly relative Uri reference. a To be added
- Method
  Gnome.Vfs.Uri `` Create a new Uri obtained by appending the Uri fragment. This will take care of adding an appropriate directory separator between the end of the Uri and the start of the fragment if necessary. a a To be added
- Method
  Gnome.Vfs.Uri `` Create a new Uri obtained by appending the path. This will take care of adding an appropriate directory separator between the end of the Uri and the start of the path if necessary as well as escaping the path as necessary. a a To be added
- Method
  System.String Extract the name of the directory in which the file pointed to by the Uri is stored as a newly allocated string. The string will end with a path character. a To be added
- Method
  Gnome.Vfs.Uri `` Create a new Uri obtained by appending the specified filename. This will take care of adding an appropriate directory separator between the end of Uri and the start of the filename if necessary. a a To be added
- Method
  System.Boolean `` `` Check if the possible_child Uri is contained by this Uri. If recursive is false, just try the immediate parent directory, else search up through the hierarchy. a a flag to turn recursive check on. a To be added
- Method
  Gnome.Vfs.FileInfo Returns the for this Uri. a To be added
- Method
  Gnome.Vfs.FileInfo `` Returns the for this Uri with the specified . for the metadata. a To be added
- Constructor
  To be added
  a
  To be added
- Constructor
  Create a new Uri instance from the representation.
  representation of a Uri.
  To be added
- Property
  System.String Retrieve the Uris host name. a To be added
- Property
  System.Boolean Check if the Uri points to an existing entity. a To be added
- Property
  System.UInt32 Retrieve the host port number. The host port number used. If the value is zero, the default port value for the specified toplevel access method is used. To be added
- Property
  System.String Retrieve the full path name. a To be added
- Property
  System.String Retrieve the user name. a To be added
- Property
  System.String Retrieve the optional fragment identifier. a To be added
- Property
  System.String Retrieve the password. a To be added
- Property
  System.Boolean Check if the Uri is a local (native) file system. a To be added
- Property
  Gnome.Vfs.Uri Retrieve the Uris parent. a To be added
- Property
  System.Boolean Check if Uri has a parent or not. a To be added
- Property
  System.String Retrieve the scheme. a To be added
- Property
  Gnome.Vfs.MimeType The Uris . a To be added
- Method
  Gnome.Vfs.Uri Creates a duplicate of the Uri. a To be added
- Method
  Gnome.Vfs.Uri[] `` Extracts a list of Uris from a standard text/uri-list, such as one you would get on a drop operation. a a To be added
- Method
  Gnome.Vfs.Result `` Truncate the Uri to be the specified length in bytes. Data past the specified length will be discarded. length of the new file. a To be added
- Method
  Gnome.Vfs.Result Unlink this Uri (i.e. delete the file). a To be added
- Property
  System.Int64 Returns the amount of free space on a . a Only works for Uris with the file: .
- Method
  System.String `` Returns a local path for a file:/// Uri. a a Only use with Uris.
- Method
  System.String `` Returns a file:/// Uri for the local path. a a To be added
- Method
  Gnome.Vfs.Result `` `` Set file information; only the information for which the corresponding bit in is set is actually modified. information that must be set for the file. bitmask for which fields should actually be modified. a To be added
- Method
  Gnome.Vfs.Uri `` To be added. To be added. To be added. To be added.